SourceGenerationRequestFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum SourceGenerationRequestFields

    java.lang.Object
      java.lang.Enum<SourceGenerationRequestFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.SourceGenerationRequestFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SourceGenerationRequestFields>

    public enum SourceGenerationRequestFields

extends java.lang.Enum<SourceGenerationRequestFields>

Enum Constant Summary
`algorithms`
`author`
`backendurl`
`currentphasepercent`
`description`
`endtime`
`environmentconfiguration`
`evaluatedcomputationcount`
`executionenvironment`
`executionparameters`
`generatedsourcesid`
`generationname`
`generationparameters`
`id`
`jobids`
`logic`
`numpartitions`
`phase`
`reportid`
`sourcehcafids`
`sourcehspenids`
`sourceoccurrencecellsids`
`starttime`
`submissionbackend`
`submissiontime`
`togeneratetablescount`

Method Summary
`static SourceGenerationRequestFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SourceGenerationRequestFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### author

    public static final SourceGenerationRequestFields author

### generationname

    public static final SourceGenerationRequestFields generationname

### id

    public static final SourceGenerationRequestFields id

### description

    public static final SourceGenerationRequestFields description

### phase

    public static final SourceGenerationRequestFields phase

### submissiontime

    public static final SourceGenerationRequestFields submissiontime

### starttime

    public static final SourceGenerationRequestFields starttime

### endtime

    public static final SourceGenerationRequestFields endtime

### currentphasepercent

    public static final SourceGenerationRequestFields currentphasepercent

### sourcehcafids

    public static final SourceGenerationRequestFields sourcehcafids

### sourcehspenids

    public static final SourceGenerationRequestFields sourcehspenids

### sourceoccurrencecellsids

    public static final SourceGenerationRequestFields sourceoccurrencecellsids

### generatedsourcesid

    public static final SourceGenerationRequestFields generatedsourcesid

### reportid

    public static final SourceGenerationRequestFields reportid

### jobids

    public static final SourceGenerationRequestFields jobids

### generationparameters

    public static final SourceGenerationRequestFields generationparameters

### executionparameters

    public static final SourceGenerationRequestFields executionparameters

### submissionbackend

    public static final SourceGenerationRequestFields submissionbackend

### executionenvironment

    public static final SourceGenerationRequestFields executionenvironment

### backendurl

    public static final SourceGenerationRequestFields backendurl

### environmentconfiguration

    public static final SourceGenerationRequestFields environmentconfiguration

### logic

    public static final SourceGenerationRequestFields logic

### numpartitions

    public static final SourceGenerationRequestFields numpartitions

### algorithms

    public static final SourceGenerationRequestFields algorithms

### evaluatedcomputationcount

    public static final SourceGenerationRequestFields evaluatedcomputationcount

### togeneratetablescount

    public static final SourceGenerationRequestFields togeneratetablescount

Method Detail

### values

    public static SourceGenerationRequestFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SourceGenerationRequestFields c : SourceGenerationRequestFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SourceGenerationRequestFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD